## class SG_EXPORT osg::CullingSet

> A CullingSet class which contains a frustum and a list of occluder.

## Inheritance:

### Public Methods

CullingSet()
CullingSet(const CullingSet& cs)
CullingSet(const CullingSet& cs, const Matrix& matrix, const Vec4& pixelSizeVector)
CullingSet& operator = (const CullingSet& cs)
inline void set(const CullingSet& cs)
inline void set(const CullingSet& cs, const Matrix& matrix, const Vec4& pixelSizeVector)
void setCullingMask(Mask mask)
void setFrustum(Polytope& cv)
Polytope& getFrustum()
const Polytope& getFrustum() const
void addOccluder(ShadowVolumeOccluder& cv)
void setPixelSizeVector(const Vec4& v)
Vec4& getPixelSizeVector()
const Vec4& getPixelSizeVector() const
void setSmallFeatureCullingPixelSize(float value)
float& getSmallFeatureCullingPixelSize()
float getSmallFeatureCullingPixelSize() const
float pixelSize(const Vec3& v, float radius) const
  Compute the pixel of an object at position v, with specified radius
float pixelSize(const BoundingSphere& bs) const
  Compute the pixel of an bounding sphere
inline bool isCulled(const std::vector<Vec3>& vertices)
inline bool isCulled(const BoundingBox& bb)
inline bool isCulled(const BoundingSphere& bs)
inline void pushCurrentMask()
inline void popCurrentMask()
void disableAndPushOccludersCurrentMask(NodePath& nodePath)
void popOccludersCurrentMask(NodePath& nodePath)
virtual ~CullingSet()

### Public Members

typedef std::vector<ShadowVolumeOccluder> OccluderList
typedef unsigned int Mask
enum MaskValues

### Protected Fields

Mask _mask
Polytope _frustum
OccluderList _occluderList
Vec4 _pixelSizeVector
float _smallFeatureCullingPixelSize

### Inherited from Referenced:

### Public Methods

static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> A CullingSet class which contains a frustum and a list of occluder.

`CullingSet()`

`CullingSet(const CullingSet& cs)`

`CullingSet(const CullingSet& cs, const Matrix& matrix, const Vec4& pixelSizeVector)`

`CullingSet& operator = (const CullingSet& cs)`

`inline void set(const CullingSet& cs)`

`inline void set(const CullingSet& cs, const Matrix& matrix, const Vec4& pixelSizeVector)`

`typedef std::vector<ShadowVolumeOccluder> OccluderList`

`typedef unsigned int Mask`

`enum MaskValues`

`NO_CULLING`

`VIEW_FRUSTUM_SIDES_CULLING`

`NEAR_PLANE_CULLING`

`FAR_PLANE_CULLING`

`VIEW_FRUSTUM_CULLING`

`SMALL_FEATURE_CULLING`

`SHADOW_OCCLUSION_CULLING`

`DEFAULT_CULLING`

`ENABLE_ALL_CULLING`

`void setCullingMask(Mask mask)`

`void setFrustum(Polytope& cv)`

`Polytope& getFrustum()`

`const Polytope& getFrustum() const`

`void addOccluder(ShadowVolumeOccluder& cv)`

`void setPixelSizeVector(const Vec4& v)`

`Vec4& getPixelSizeVector()`

`const Vec4& getPixelSizeVector() const`

`void setSmallFeatureCullingPixelSize(float value)`

`float& getSmallFeatureCullingPixelSize()`

`float getSmallFeatureCullingPixelSize() const`

`float pixelSize(const Vec3& v, float radius) const`
  Compute the pixel of an object at position v, with specified radius

`float pixelSize(const BoundingSphere& bs) const`
  Compute the pixel of an bounding sphere

`inline bool isCulled(const std::vector<Vec3>& vertices)`

`inline bool isCulled(const BoundingBox& bb)`

`inline bool isCulled(const BoundingSphere& bs)`

`inline void pushCurrentMask()`

`inline void popCurrentMask()`

`void disableAndPushOccludersCurrentMask(NodePath& nodePath)`

`void popOccludersCurrentMask(NodePath& nodePath)`

`virtual ~CullingSet()`

`Mask _mask`

`Polytope _frustum`

`OccluderList _occluderList`

`Vec4 _pixelSizeVector`

`float _smallFeatureCullingPixelSize`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.